Bug 6116 - Adding child patron: library not set
Summary: Adding child patron: library not set
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Julian Maurice
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-07 13:46 UTC by Julian Maurice
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Patch (4.31 KB, patch)
2011-04-07 13:49 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 6116: Adding a child patron (5.92 KB, patch)
2011-07-08 03:25 UTC, Chris Cormack
Details | Diff | Splinter Review
Signed-off patch (6.03 KB, patch)
2011-07-08 13:01 UTC, Owen Leonard
Details | Diff | Splinter Review
proposed patch (passed QA) (6.03 KB, patch)
2011-08-10 10:14 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2011-04-07 13:46:13 UTC
When adding a patron who is a child, the default library is not set when defining a guarantor. Coming patch will fix that.
Comment 1 Julian Maurice 2011-04-07 13:49:02 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-05-13 19:43:20 UTC
Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 6116: Adding a child patron
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Renaming koha-tmpl/intranet-tmpl/prog/en/modules/members/guarantor_search.tmpl => koha-tmpl/intranet-tmpl/prog/en/modules/members/guarantor_search.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/members/guarantor_search.tt
CONFLICT (rename/modify): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/members/guarantor_search.tt
Auto-merging members/memberentry.pl
CONFLICT (content): Merge conflict in members/memberentry.pl
Failed to merge in the changes.
Patch failed at 0001 Bug 6116: Adding a child patron
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
nengard@debian:~/kohaclone$
Comment 3 Chris Cormack 2011-07-08 03:25:19 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2011-07-08 03:25:43 UTC
Rebased for TT
Comment 5 Owen Leonard 2011-07-08 13:01:54 UTC Comment hidden (obsolete)
Comment 6 Paul Poulain 2011-08-10 10:14:30 UTC
Created attachment 4924 [details] [review]
proposed patch (passed QA)

QA comment

* this patch fixes a bug by adding some code that is similar to other fields managed the same way
* works as expected & announced
* silently fixes a uc/lc in a syspref borrowerRelationship, written BorrowerRelationship previously, that's correct.
* silently add '' in hashes $data{'branchcode'} written $data{branchcode} previously, that's correct too

Marking Passed QA
Comment 7 Chris Cormack 2011-08-16 22:27:29 UTC
Pushed, please test
Comment 8 Julian Maurice 2011-12-02 12:54:24 UTC
Ok in master, marking as resolved